<?php 

/**
 * @link http://www.fest.fr/widget.html
 * @copyright   Copyright (C) Adarre Sarl
 * @license     GNU General Public License version 2 or later
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
class modFestHelper
{
    /**
     * Retrieves the hello message
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
 
	
    function getHelp( $params )
    {
	
		$items=0;
		include 'mod_fest.css';
		//recuperation des variables utilisateur
		$qte = 	trim( $params->get( 'qte') );
		if($qte==0) return;
		//
		$categorie 	= trim( $params->get( 'categorie' ) );
		$ville 	= trim( $params->get( 'ville' ) );
		$distance  	= trim( $params->get( 'distance') );
		$ordre  	= trim( $params->get( 'ordre' ) );
		//
		$url = 'http'.((isset($_SERVER['HTTPS']))?(($_SERVER['HTTPS']=='on')?'s':''):'').'://'.$_SERVER['HTTP_HOST'].(($_SERVER['SERVER_PORT']!='80')?':'.$_SERVER['SERVER_PORT']:'').$_SERVER['REQUEST_URI'];//url de la page affichant le module

		//récuperation du flux
		$rss = new DOMDocument();
		$rssUrl = 'http://www.fest.fr/api/?nbr='.$qte.
				'&categorie='.$categorie.
				'&ville='.$ville.
				'&distance='.$distance.
				'&ordre='.$ordre.
				'&url='.$url.'&v=1.2';
				
		$rss->load($rssUrl);
		
		//traitement du flux
		$feed = array();
		$lien = $rss->getElementsByTagName('link')->item(0)->firstChild->textContent;
		foreach ($rss->getElementsByTagName('item') as $node) {
			$item = array ( 
				'title' => $node->getElementsByTagName('title')->item(0)->nodeValue,
				'cat' => $node->getElementsByTagName('category')->item(0)->nodeValue,
				'desc' => $node->getElementsByTagName('description')->item(0)->nodeValue,
				'link' => $node->getElementsByTagName('link')->item(0)->nodeValue,
				'date' => $node->getElementsByTagName('pubDate')->item(0)->nodeValue,
				'guid' => $node->getElementsByTagName('guid')->item(0)->nodeValue,
				'image' => $node->getElementsByTagName('image')->item(0)->nodeValue
			);
			array_push($feed, $item);
			$items++;
		}
		
		//construction du module
		$counter = 0;
		for($x=0;$x<$items;$x++) {
		
				$title = str_replace(' & ', ' &amp; ', $feed[$x]['title']);
				$link = $feed[$x]['link'];
				$category = $feed[$x]['cat'];
				$description = $feed[$x]['desc'];
				$date =  $feed[$x]['date'];
				$guid = $feed[$x]['guid'];
				$image = $feed[$x]['image'];
				
				If($title != ''){
						
					echo '<div class="fest_item">';
					if ($image) echo '<a href="'.$link.'" title="Plus d\'infos sur cet événement"><img class="fest_vignette" alt="'.$title.'" src="'.$image.'"></a>';
					echo '<span class="fest_titre"><a  href="'.$link.'" title="Plus d\'infos sur cet événement">'.$title.'</a></span>';
					echo '<span class="fest_categorie">'.$category.'</span>';
					echo '<span class="fest_ville">'.$description.'</span>';
					echo '<span class="fest_date">'.$date.'</span>';
					echo '</div>';
				
					$counter = $counter + 1;
				}				
		}

		if($counter==0) return;
		
		echo '<span class="fest_lien"><a  href="'.$lien.'" title="Voir tous les événements sur le site Fest.fr">Afficher plus d\'événements</a></span>';

	}
	
}
?>	